Skip to main content
`Ctrl`+`K`

# read_weighted_edgelist

read_weighted_edgelist(path, comments='#', delimiter=None, create_using=None, nodetype=None, encoding='utf-8')

  Read a graph as list of edges with numeric weights.

  Parameters:
    path file or string

      File or filename to read. If a file is provided, it must be opened in ‘rb’ mode. Filenames ending in .gz or .bz2 will be uncompressed.

    comments string, optional

      The character used to indicate the start of a comment.

    delimiter string, optional

      The string used to separate values. The default is whitespace.

    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

    nodetype int, float, str, Python type, optional

      Convert node data from strings to specified type

    encoding: string, optional

      Specify which encoding to use when reading file.

  Returns:
    G graph

      A networkx Graph or other type specified with create_using

  See also

  `write_weighted_edgelist`

  Notes

  Since nodes must be hashable, the function nodetype must return hashable types (e.g. int, float, str, frozenset - or tuples of those, etc.)

  Example edgelist file format.

  With numeric edge data:

      # read with
      # >>> G=nx.read_weighted_edgelist(fh)
      # source target data
      a b 1
      a c 3.14159
      d e 42